Firebase Emulator

Hello everyone,
I have tried a lot of different methods to try and get an emulator working. I cannot seem to accomplish it. The solutions I have found do not work for me.

OS: Ubuntu LTS latest
Error Message:
[ERROR:flutter/lib/ui/ui_dart_state.cc(199)] Unhandled Exception: MissingPluginException(No implementation found for method Firebase#initializeCore on channel plugins.flutter.io/firebase_core)

Code:
image